class AppUtil {
  static openSettingPage() {
    const { plus } = window;
    if (plus && plus.webview) {
      const view = plus.webview.create('/setting.html', 'setting', { titleNView: '设置' });
      view.show('pop-in');
    }
  }

  static addDrag() {
    const { plus } = window;
    if (plus && plus.webview) {
      const webview = plus.webview.currentWebview();
      webview.drag({
        direction: 'right',
        moveMode: 'bounce',
      }, {
        view: plus.runtime.appid,
        moveMode: 'silent',
      }, (e) => {
        if (e.type === 'end') {
          webview.back();
        }
      });
    }
  }
}

export default AppUtil;
